/*
 * **************************************************************************************
 * Copyright (C) 2021 FoE-Helper team - All Rights Reserved
 * You may use, distribute and modify this code under the
 * terms of the AGPL license.
 *
 * See file LICENSE.md or go to
 * https://github.com/mainIine/foe-helfer-extension/blob/master/LICENSE.md
 * for full license details.
 *
 * **************************************************************************************
 */

#GildPlayers {
	left: calc(50vw - 285px);
	top: calc(50vw - 270px);
	width: 570px;
	height: 500px;
}

#GildPlayers.closed {
	height: 22px !important;
}

#GildPlayersHeader small {
	font-weight: lighter;
}

#GildPlayersBody {
	overflow-x: hidden;
	overflow-y: auto;
	user-select: text;
}

#GildPlayersBody tr th  {
	position: sticky;
	top: 0;
	background-color: rgba(0,0,0, 0.45);
    line-height: 25px;

}

#GildPlayersBody tr th span {
	display: inline-block;
	width: 25px;
	height: 25px;
	vertical-align: bottom;
}

#GildPlayersBody tr th span.negotiation {
	background: url('../../x_img/negotiation.png') center no-repeat;
	background-size: contain;
}

#GildPlayersBody tr th span.fight {
	background: url('../../x_img/fight.png') center no-repeat;
	background-size: contain;
}

#GildPlayersBody tr td img {
	max-width: 25px;
	border-radius: 2px;
}

#GildPlayersBody tr.mark-player td {
	border-top: 1px solid var(--text-bright);
	border-bottom: 1px solid var(--text-bright);
}
#GildPlayersBody tr.mark-player td:first-child {
	border-left: 1px solid var(--text-bright);
}
#GildPlayersBody tr.mark-player td:last-child {
	border-right: 1px solid var(--text-bright);
}


#GildPlayersBody tr.bg-green td {
	background-color: var(--background-table-success);
}

/*************************************************************************************************************/

#LiveGildFighting {
	left: calc(50vw - 250px);
	top: calc(50vw - 250px);
	width: 500px;
	height: 500px;
}

#LiveGildFightingBody {
	overflow: auto;
	font-size: 90%;
}

#LiveGildFightingBody .province-color {
	width: 10px;
	height: 10px;
	display: inline-block;
	box-shadow: 0 1px 1px var(--black-65);
	border-radius: 50%;
}

/* A */
#province-0 .province-color, #province-4 .province-color, #province-5 .province-color, #province-12 .province-color, #province-13 .province-color, #province-14 .province-color, #province-15 .province-color, #province-28 .province-color, #province-29 .province-color, #province-30 .province-color, #province-31 .province-color, #province-32 .province-color, #province-33 .province-color, #province-34 .province-color, #province-35 .province-color, #timer-0 .province-color, #timer-4 .province-color, #timer-5 .province-color, #timer-12 .province-color, #timer-13 .province-color, #timer-14 .province-color, #timer-15 .province-color, #timer-28 .province-color, #timer-29 .province-color, #timer-30 .province-color, #timer-31 .province-color, #timer-32 .province-color, #timer-33 .province-color, #timer-34 .province-color, #timer-35 .province-color {
	border-radius: 2px 100% 2px 2px;
}

/* B */
#province-1 .province-color, #province-6 .province-color, #province-7 .province-color, #province-16 .province-color, #province-17 .province-color, #province-18 .province-color, #province-19 .province-color, #province-36 .province-color, #province-37 .province-color, #province-38 .province-color, #province-39 .province-color, #province-40 .province-color, #province-41 .province-color, #province-42 .province-color, #province-43 .province-color, #timer-1 .province-color, #timer-6 .province-color, #timer-7 .province-color, #timer-16 .province-color, #timer-17 .province-color, #timer-18 .province-color, #timer-19 .province-color, #timer-36 .province-color, #timer-37 .province-color, #timer-38 .province-color, #timer-39 .province-color, #timer-40 .province-color, #timer-41 .province-color, #timer-42 .province-color, #timer-43 .province-color {
	border-radius: 2px 2px 100% 2px;
}

/* C */
#province-2 .province-color, #province-8 .province-color, #province-9 .province-color, #province-20 .province-color, #province-21 .province-color, #province-22 .province-color, #province-23 .province-color, #province-44 .province-color, #province-45 .province-color, #province-46 .province-color, #province-47 .province-color, #province-48 .province-color, #province-49 .province-color, #province-50 .province-color, #province-51 .province-color, #timer-2 .province-color, #timer-8 .province-color, #timer-9 .province-color, #timer-20 .province-color, #timer-21 .province-color, #timer-22 .province-color, #timer-23 .province-color, #timer-44 .province-color, #timer-45 .province-color, #timer-46 .province-color, #timer-47 .province-color, #timer-48 .province-color, #timer-49 .province-color, #timer-50 .province-color, #timer-51 .province-color {
	border-radius: 2px 2px 2px 100%;
}

/* D */
#province-3 .province-color, #province-10 .province-color, #province-11 .province-color, #province-24 .province-color, #province-25 .province-color, #province-26 .province-color, #province-27 .province-color, #province-52 .province-color, #province-53 .province-color, #province-54 .province-color, #province-55 .province-color, #province-56 .province-color, #province-57 .province-color, #province-58 .province-color, #province-59 .province-color, #timer-3 .province-color, #timer-10 .province-color, #timer-11 .province-color, #timer-24 .province-color, #timer-25 .province-color, #timer-26 .province-color, #timer-27 .province-color, #timer-52 .province-color, #timer-53 .province-color, #timer-54 .province-color, #timer-55 .province-color, #timer-56 .province-color, #timer-57 .province-color, #timer-58 .province-color, #timer-59 .province-color {
	border-radius: 100% 2px 2px 2px;
}

#LiveGildFightingBody .tabs ul li a span {
	width: 21px;
	top: 6px;
	background: transparent url('../../unit/images/unit-icons.png') 0 3px no-repeat;
	background-size: 90px 20px;
}

#LiveGildFightingBody .tabs ul li.gbgprogress a span {
	background: transparent url('../../stats/images/tabs.png') -237px 0 no-repeat;
}

#LiveGildFightingBody .tabs ul li.gbgnextup a span {
	background: transparent url('../../x_img/hourglass.png') no-repeat;
	background-size: contain;
	top: 8px;
    position: relative;
}

#LiveGildFightingBody .tabs > button.mapbutton {
	position: absolute;
	top: 7px;
	right: 7px;
}

#LiveGildFightingBody .tabs > button.copybutton {
	display: none;
	position: absolute;
	top: 7px;
	right: 64px;
}

#LiveGildFightingBody #nextup {
	overflow: hidden;
	overflow-y: auto;
	flex-grow: 2;
	user-select: text;
}

#LiveGildFightingBody #progress {
	width: 100%;
	overflow: hidden;
	overflow-y: auto;
}

#LiveGildFightingBody #progress tr td:first-child, #LiveGildFightingBody #nextup tr td:first-child {
	width: 60px;
}

#LiveGildFightingBody table.foe-table tr.highlight-row {
	background-color: rgba(40, 18, 7, 0.8);
	color: var(--text-bright);
}

#LiveGildFightingBody tr td {
	transition: background-color .6s;
}

#LiveGildFightingBody tr.pulse td {
	background-color: rgba(208, 200, 172, 0.3);
	transition: background-color .6s;
}

#LiveGildFightingBody .attack {
	display: inline-block;
	line-height: 23px;
	margin-right: 5px;
}

#LiveGildFightingBody .attack:before {
	width: 19px;
	height: 23px;
	background-size: contain;
	background-repeat: no-repeat;
	display: inline-block;
	content: '';
	vertical-align: middle;
}

#LiveGildFightingBody .gbg-red:before {
	background-image: url(../../x_img/gbg-red.png);
}

#LiveGildFightingBody .gbg-green:before {
	background-image: url(../../x_img/gbg-green.png);
}

#LiveGildFightingBody .gbg-yellow:before {
	background-image: url(../../x_img/gbg-yellow.png);
}

#LiveGildFightingBody .gbg-teal:before {
	background-image: url(../../x_img/gbg-teal.png);
}

#LiveGildFightingBody .gbg-orange:before {
	background-image: url(../../x_img/gbg-orange.png);
}

#LiveGildFightingBody .gbg-blue:before {
	background-image: url(../../x_img/gbg-blue.png);
}

#LiveGildFightingBody .gbg-purple:before {
	background-image: url(../../x_img/gbg-purple.png);
}

#LiveGildFightingBody .gbg-pink:before {
	background-image: url(../../x_img/gbg-pink.png);
}

#LiveGildFightingBody .gbg-own_guild_colour:before {
	background-image: url(../../x_img/gbg-gray.png);
}

/*************************************************************************************************************/

#ProvinceMap {
	width: 560px;
	height: 438px;
	left: calc(50vw - 280px);
	top: calc(50vw - 219px);
}

#ProvinceMap #province-map {
	height: 100%;
	background: transparent url('../images/volcano_archipelago_bg.jpg');
	background-size: 100%;
}



#GildInfos {
	top: 30%;
	right: 15%;
	width: 600px;
	height: 600px;

}

#GildInfos #GildInfosBody {
	overflow-x: hidden;
	overflow-y: auto;
}

#GildInfosBody tr td span {
	font-weight:bold;
}


#GildInfosBody tr th  {
	position: sticky;
	top: 0;
	background-color: rgba(0,0,0, 0.2);
}

#GildInfosBody.window-body  {

}
